#!/bin/sh
## ----------------------------------------------------------------------------
# package.pl
#   パッケージの作成.
# -----------------------------------------------------------------------------
# Mastering programed by YAMASHINA Hio
#
# Copyright 2002 YMIRLINK,Inc.
# -----------------------------------------------------------------------------
# $Id: package.sh,v 1.6 2002/11/10 11:51:17 hio Exp $
# -----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# DESTDIR : パッケージのディレクトリ. (固めるディレクトリ.)

EXPORTDIR=/home/hio/exports/PerlShiori/snap/

if [ ! -z "$1" ];
then
  DESTDIR=$1
  shift
elif [ -z "$DESTDIR" ];
then
  DESTDIR=rishu-1.1.x
fi
DESTDIR=$DESTDIR

if [ "$1" = "inst" ];
then
  shift
  INSTALL=1
else
  INSTALL=
fi

echo making $DESTDIR/ ...
rm -rf $DESTDIR
FILES=`ls`
mkdir -p $DESTDIR
cp -a $FILES $DESTDIR/
cd $DESTDIR
mv proxy/rishu_proxy.{dll,ini} .
mv proxy proxy.src
cd ..

ARCHIVES=

# tar.gz
echo tar zcf "$DESTDIR.tar.gz" $DESTDIR/
tar zcf "$DESTDIR.tar.gz" $DESTDIR/
ARCHIVES="$ARCHIVES $DESTDIR.tar.gz"

# tar.bz2
echo tar jcf "$DESTDIR.tar.bz2" $DESTDIR/
tar jcf "$DESTDIR.tar.bz2" $DESTDIR/
ARCHIVES="$ARCHIVES $DESTDIR.tar.bz2"

# lzh
echo lha cq "$DESTDIR.lzh" $DESTDIR/
lha cq "$DESTDIR.lzh" $DESTDIR/
ARCHIVES="$ARCHIVES $DESTDIR.lzh"

# zip
echo zip -9rq "$DESTDIR.zip" $DESTDIR/
zip -9rq "$DESTDIR.zip" $DESTDIR/
ARCHIVES="$ARCHIVES $DESTDIR.zip"

if [ ! -z "$INSTALL" ];
then
  echo cp -i $ARCHIVES $EXPORTDIR
  cp -i $ARCHIVES $EXPORTDIR
fi

