## ----------------------------------------------------------------------------
# Rishu::Gensym
# -----------------------------------------------------------------------------
# Mastering programed by YAMASHINA Hio
#
# Copyright 2002 YMIRLINK,Inc.
# -----------------------------------------------------------------------------
# $Id: Gensym.pm,v 1.1 2002/11/15 17:41:48 hio Exp $
# -----------------------------------------------------------------------------
package Rishu::Gensym;

# (from Symbol.pm)
#
# Note that we never _copy_ the glob; we just make a ref to it.
# If we did copy it, then SVf_FAKE would be set on the copy, and
# glob-specific behaviors (e.g. C<*$ref = \&func>) wouldn't work.
#

my $genpkg = "Rishu::Gensym::";
my $genseq = 0;

sub gensym
{
  my $name = 'GEN'.$genseq++;
  my $ref = \*{$genpkg.$name};
  delete $$genpkg{$name};
  $ref;
}

1;
